Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface Transition

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TransitionImpl

Deprecated

    @Deprecated
    public interface Transition

extends Belonging

A named transition from one `state` to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator. The begining state for this transition.

                      startState
     [Transition] <*>------> [State]

The targeted state for this transition.

                      endState
     [Transition] <*>------> [State]

The event that triggers this transition.

                      name
     [Transition] <*>------> [java.lang.String]

See Also
  `TransitionHome`, `TransitionImpl`

Method Summary
`State` | `getEndState()` Deprecated Get the value of endState
`String` | `getName()` Deprecated Get the value of name
`State` | `getStartState()` Deprecated Get the value of startState
`void` | `setEndState(State endState)` Deprecated Set the value of endState
`void` | `setName(String name)` Deprecated Set the value of name
`void` | `setStartState(State startState)` Deprecated Set the value of startState

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getStartState

    State getStartState()

  Deprecated
  Get the value of startState

  Returns
    startState.

### setStartState

    void setStartState(State startState)

  Deprecated
  Set the value of startState

  Parameters
    `startStates` - startState to be added

### getEndState

    State getEndState()

  Deprecated
  Get the value of endState

  Returns
    endState.

### setEndState

    void setEndState(State endState)

  Deprecated
  Set the value of endState

  Parameters
    `endStates` - endState to be added

### getName

    String getName()

  Deprecated
  Get the value of name

  Returns
    name.

### setName

    void setName(String name)

  Deprecated
  Set the value of name

  Parameters
    `names` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.